org.tmatesoft.svn.core.wc

## Interface ISVNPathListHandler

-     public interface ISVNPathListHandler

  The ISVNPathListHandler is used by SVN*Client classes as a callback in operations performed on multiple paths.

  Implementations of this interface can be provided to an SVN*Client object via a call to `SVNBasicClient.setPathListHandler(ISVNPathListHandler)`.

  For example, this handler is used in `SVNUpdateClient.doUpdate(File[], SVNRevision, org.tmatesoft.svn.core.SVNDepth, boolean, boolean)` where the handler is called before updating a next working copy path from the `paths` array.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handlePathListItem(java.io.File path)` Hadles a working copy path.

- - ### Method Detail

    - #### handlePathListItem

          void handlePathListItem(java.io.File path)
                                  throws SVNException

      Hadles a working copy path.
      Parameters:
        `path` - working copy path
      Throws:
        `SVNException`